XCTest (Gradle API 8.11.1)

Package org.gradle.nativeplatform.test.xctest.tasks

## Class XCTest

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.testing.AbstractTestTask
        - - org.gradle.nativeplatform.test.xctest.tasks.XCTest

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Reporting<TestTaskReports>`, `Task`, `VerificationTask`, `Configurable<Task>`

      @DisableCachingByDefault(because="Not made cacheable, yet")
      public abstract class XCTest
      extends AbstractTestTask

  Executes XCTest tests. Test are always run in a single execution.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XCTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.gradle.api.internal.tasks.testing.TestExecuter<org.gradle.nativeplatform.test.xctest.internal.execution.XCTestTestExecutionSpec>` | `createTestExecuter()` | Creates test executer.
    `protected org.gradle.nativeplatform.test.xctest.internal.execution.XCTestTestExecutionSpec` | `createTestExecutionSpec()` | Creates test execution specification.
    `protected abstract ObjectFactory` | `getObjectFactory()` |
    `protected java.io.File` | `getRunScript()` | Workaround for when the task is given an input file that doesn't exist
    `RegularFileProperty` | `getRunScriptFile()` | Returns test suite bundle or executable location
    `DirectoryProperty` | `getTestInstallDirectory()` | Sets the test suite bundle or executable location
    `DirectoryProperty` | `getWorkingDirectory()` | Returns the working directory property for this test.
    `XCTest` | `setTestNameIncludePatterns​(java.util.List<java.lang.String> testNamePattern)` | Sets the test name patterns to be included in execution.

    - ### Methods inherited from class org.gradle.api.tasks.testing.AbstractTestTask

      `addTestListener, addTestOutputListener, afterSuite, afterTest, beforeSuite, beforeTest, executeTests, getBinaryResultsDirectory, getBuildOperationExecutor, getBuildOperationRunner, getFileSystemOperations, getFilter, getHostnameLookup, getIgnoreFailures, getInstantiator, getListenerManager, getNoMatchingTestErrorReasons, getProgressLoggerFactory, getReports, getTestLogging, getTextOutputFactory, onOutput, removeTestListener, removeTestOutputListener, reports, reports, setIgnoreFailures, testLogging, testLogging`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### XCTest

          public XCTest()

  - ### Method Detail

    - #### createTestExecutionSpec

          protected org.gradle.nativeplatform.test.xctest.internal.execution.XCTestTestExecutionSpec createTestExecutionSpec()

      Description copied from class: `AbstractTestTask`
      Creates test execution specification. For internal use only.
      Specified by:
        `createTestExecutionSpec` in class `AbstractTestTask`

    - #### getTestInstallDirectory

          @PathSensitive(RELATIVE)
          @InputDirectory
          public DirectoryProperty getTestInstallDirectory()

      Sets the test suite bundle or executable location

    - #### getRunScriptFile

          @Internal("Covered by getRunScript")
          public RegularFileProperty getRunScriptFile()

      Returns test suite bundle or executable location

    - #### getWorkingDirectory

          @Internal
          public DirectoryProperty getWorkingDirectory()

      Returns the working directory property for this test.

    - #### createTestExecuter

          protected org.gradle.api.internal.tasks.testing.TestExecuter<org.gradle.nativeplatform.test.xctest.internal.execution.XCTestTestExecutionSpec> createTestExecuter()

      Description copied from class: `AbstractTestTask`
      Creates test executer. For internal use only.
      Specified by:
        `createTestExecuter` in class `AbstractTestTask`

    - #### getObjectFactory

          @Inject
          protected abstract ObjectFactory getObjectFactory()

    - #### getRunScript

          @SkipWhenEmpty
          @Nullable
          @Optional
          @PathSensitive(ABSOLUTE)
          @InputFile
          protected java.io.File getRunScript()

      Workaround for when the task is given an input file that doesn't exist

    - #### setTestNameIncludePatterns

          public XCTest setTestNameIncludePatterns​(java.util.List<java.lang.String> testNamePattern)

      Sets the test name patterns to be included in execution. Classes or method names are supported, wildcard '*' is supported. For more information see the user guide chapter on testing. For more information on supported patterns see `TestFilter`
      Overrides:
        `setTestNameIncludePatterns` in class `AbstractTestTask`